%define upstream_name    Task-Test-Run-AllPlugins
%define upstream_version 0.0106

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Specifications for installing all the Test::Run
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Task/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine)
BuildRequires: perl(Test::Run::CmdLine::Plugin::AlternateInterpreters)
BuildRequires: perl(Test::Run::CmdLine::Plugin::BreakOnFailure)
BuildRequires: perl(Test::Run::CmdLine::Plugin::ColorFileVerdicts)
BuildRequires: perl(Test::Run::CmdLine::Plugin::ColorSummary)
BuildRequires: perl(Test::Run::CmdLine::Plugin::TrimDisplayedFilenames)
BuildRequires: perl(Test::Run::Core)
BuildRequires: perl(Test::Run::Plugin::AlternateInterpreters)
BuildRequires: perl(Test::Run::Plugin::BreakOnFailure)
BuildRequires: perl(Test::Run::Plugin::ColorFileVerdicts)
BuildRequires: perl(Test::Run::Plugin::ColorSummary)
BuildRequires: perl(Test::Run::Plugin::TrimDisplayedFilenames)
BuildArch:  noarch

%description
the Test::Run manpage is an improved harness for running test files based
on the "Test Anything Protocol" (TAP - the http://testanything.org/ manpage
), which is commonly used for writing tests for Perl code, but is otherwise
universal.

Installing this Task should get you up-to-speed with Test::Run by
installing all the plugins that are available for it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.10.600-3.mga10
+ Revision: 2206526
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.10.600-2.mga9
+ Revision: 1813483
- Mageia 9 Mass Rebuild

* Fri Oct 23 2020 tv <tv> 0.10.600-1.mga8
+ Revision: 1638737
- update to 0.0106

* Wed Feb 12 2020 umeabot <umeabot> 0.10.500-3.mga8
+ Revision: 1497274
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.500-2.mga7
+ Revision: 1271534
- Mageia 7 Mass Rebuild

* Fri Jan 20 2017 shlomif <shlomif> 0.10.500-1.mga6
+ Revision: 1082523
- importing from cpan2dist


* Fri Jan 20 2017 cpan2dist 0.0105-1mga
- initial mageia release, generated with cpan2dist
